curl --request POST \
--url https://api.qa.tech/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"description": "<string>",
"isEnabled": true,
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/automations"
payload = {
"name": "<string>",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": True
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"description": "<string>",
"isEnabled": True,
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {type: 'schedule', cron: '<string>', timezone: '<string>', once: true},
action: {type: 'chat', prompt: '<string>'},
description: '<string>',
isEnabled: true,
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger' => [
'type' => 'schedule',
'cron' => '<string>',
'timezone' => '<string>',
'once' => true
],
'action' => [
'type' => 'chat',
'prompt' => '<string>'
],
'description' => '<string>',
'isEnabled' => true,
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/automations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"automation": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"lastTriggeredAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Create automation
Create an automation. Triggers: schedule (5-field cron evaluated in an
IANA timezone, optionally once) or api_webhook (fired only through the
trigger endpoint). Actions: chat starts an unattended QA.tech assistant
conversation with the given prompt, run_test_plan runs a test plan (use
list_runs or the dashboard to find its pln_ short id). Confirm the cron,
timezone and prompt with the user before creating.
curl --request POST \
--url https://api.qa.tech/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"description": "<string>",
"isEnabled": true,
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/automations"
payload = {
"name": "<string>",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": True
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"description": "<string>",
"isEnabled": True,
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {type: 'schedule', cron: '<string>', timezone: '<string>', once: true},
action: {type: 'chat', prompt: '<string>'},
description: '<string>',
isEnabled: true,
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger' => [
'type' => 'schedule',
'cron' => '<string>',
'timezone' => '<string>',
'once' => true
],
'action' => [
'type' => 'chat',
'prompt' => '<string>'
],
'description' => '<string>',
'isEnabled' => true,
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/automations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"automation": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"lastTriggeredAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Body
1 - 120When the automation fires. Every automation can also be fired on demand through the trigger endpoint.
- Option 1
- Option 2
Show child attributes
Show child attributes
What the automation does when it fires.
- Option 1
- Option 2
Show child attributes
Show child attributes
500Defaults to true.
Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
^proj(-.+_.+|_.+)$Was this page helpful?